Bug 1650193 - [abrt] firefox: mozilla::plugins::PluginInstanceParent::NPP_HandleEvent(): firefox killed by SIGSEGV
Summary: [abrt] firefox: mozilla::plugins::PluginInstanceParent::NPP_HandleEvent(): fi...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ee9fdfc65f8d88d424337dea561...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-15 14:58 UTC by Vít Ondruch
Modified: 2019-08-23 05:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-23 05:30:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (64.83 KB, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: cgroup (349 bytes, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: core_backtrace (72.86 KB, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: cpuinfo (1.54 KB, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: dso_list (10.08 KB, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: environ (5.01 KB, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: exploitable (95 bytes, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: maps (74.54 KB, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: open_fds (6.08 KB, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-11-15 14:58 UTC, Vít Ondruch
no flags Details

Description Vít Ondruch 2018-11-15 14:58:29 UTC
Description of problem:
Enabling Video/Audio in Adobe connect, which is using Flash always crashed the worker. I was able to recover to the original state just refreshing the page, but the Video/audio did not worked. I had to resort to X11

Version-Release number of selected component:
firefox-63.0.1-3.fc30

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox -contentproc -childID 42 -isForBrowser -prefsLen 6122 -prefMapSize 262187 -schedulerPrefs 0001,2 -parentBuildID 20181102085819 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 2575 true tab
crash_function: mozilla::plugins::PluginInstanceParent::NPP_HandleEvent
executable:     /usr/lib64/firefox/firefox
journald_cursor: s=dbf932e4724a423bbb207c97c714f4df;i=1d6fa;b=fc7b4bc121294beb81fe2dc334f54d36;m=136b1e83ca;t=57ab4e3facfd6;x=f462fe220fed0115
kernel:         4.19.0-1.fc30.x86_64
mountinfo:      
rootdir:        /proc/5121/fdinfo
runlevel:       N 5
type:           CCpp
uid:            16025

Comment 1 Vít Ondruch 2018-11-15 14:58:36 UTC
Created attachment 1506106 [details]
File: backtrace

Comment 2 Vít Ondruch 2018-11-15 14:58:37 UTC
Created attachment 1506107 [details]
File: cgroup

Comment 3 Vít Ondruch 2018-11-15 14:58:39 UTC
Created attachment 1506108 [details]
File: core_backtrace

Comment 4 Vít Ondruch 2018-11-15 14:58:41 UTC
Created attachment 1506109 [details]
File: cpuinfo

Comment 5 Vít Ondruch 2018-11-15 14:58:42 UTC
Created attachment 1506110 [details]
File: dso_list

Comment 6 Vít Ondruch 2018-11-15 14:58:44 UTC
Created attachment 1506111 [details]
File: environ

Comment 7 Vít Ondruch 2018-11-15 14:58:45 UTC
Created attachment 1506112 [details]
File: exploitable

Comment 8 Vít Ondruch 2018-11-15 14:58:47 UTC
Created attachment 1506113 [details]
File: limits

Comment 9 Vít Ondruch 2018-11-15 14:58:49 UTC
Created attachment 1506114 [details]
File: maps

Comment 10 Vít Ondruch 2018-11-15 14:58:51 UTC
Created attachment 1506115 [details]
File: open_fds

Comment 11 Vít Ondruch 2018-11-15 14:58:52 UTC
Created attachment 1506116 [details]
File: proc_pid_status

Comment 12 Ben Cotton 2019-08-13 17:08:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 13 Ben Cotton 2019-08-13 18:54:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 14 Martin Stransky 2019-08-23 05:30:53 UTC
Hello,

abrt reported bugs come from various sources/scenarios and usually can't be reproduced. This is automated bug processing which is applied to all abrt reported bugs which are supposed to be non-reproducible.

If you can reproduce the bug (you have a testcase), please reopen it and assign it directly to me - stransky@redhat.com.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.